include(CheckSymbolExists)

CHECK_SYMBOL_EXISTS ( "backtrace" "execinfo.h" BACKTRACE_EXISTS )
if ( NOT BACKTRACE_EXISTS )
	set ( BACKTRACE_EXISTS FALSE )
	message ( STATUS "Backtrace symbol not found in execinfo.h." )
else ( )
	set ( BACKTRACE_EXISTS TRUE )
	message ( STATUS "Found backtrace.")
endif ( )
