/*
 * NonlinearFullAndLinearIndexPatterns.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "NonlinearFullAndLinearIndexPatterns.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace query {

auto nonlinearFullAndLinearIndexPatternsPrefixRankedPattern = registration::AbstractRegister < NonlinearFullAndLinearIndexPatterns, ext::set < unsigned >, const indexes::arbology::NonlinearFullAndLinearIndex < > &, const tree::PrefixRankedNonlinearPattern < > & > ( NonlinearFullAndLinearIndexPatterns::query );
auto nonlinearFullAndLinearIndexPatternsPrefixRankedBarPattern = registration::AbstractRegister < NonlinearFullAndLinearIndexPatterns, ext::set < unsigned >, const indexes::arbology::NonlinearFullAndLinearIndex < > &, const tree::PrefixRankedBarNonlinearPattern < > & > ( NonlinearFullAndLinearIndexPatterns::query );

} /* namespace query */

} /* namespace arbology */
