/*
 * CompressedBitParallelismFactors.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "CompressedBitParallelismFactors.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto CompressedBitParallelismFactorsLinearString = registration::AbstractRegister < CompressedBitParallelismFactors, ext::set < unsigned >, const indexes::stringology::CompressedBitParallelIndex < > &, const string::LinearString < > & > ( CompressedBitParallelismFactors::query );

} /* namespace query */

} /* namespace stringology */
