/*
 * RankedPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "RankedPattern.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < tree::RankedPattern < > > ( );
static auto xmlRead = registration::XmlReaderRegister < tree::RankedPattern < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, tree::RankedPattern < > > ( );

} /* namespace */
