/*
 * ReversedBadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "ReversedBadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace properties {

auto ReversedBadCharacterShiftTableLinearString = registration::AbstractRegister < ReversedBadCharacterShiftTable, ext::map < DefaultSymbolType, size_t >, const string::LinearString < > & > ( ReversedBadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace string */
