/*
 * Author: Radovan Cerveny
 */

#include "DAWGMatcherConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto DAWGMatcherConstructionLinearString = registration::AbstractRegister < DAWGMatcherConstruction, indexes::stringology::SuffixAutomaton < DefaultSymbolType >, const string::LinearString < > & > ( DAWGMatcherConstruction::construct );

} /* namespace matching */

} /* namespace stringology */
