/*
 * Author: Radovan Cerveny
 */

#include "OracleMatcherConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto OracleMatcherConstructionLinearString = registration::AbstractRegister < OracleMatcherConstruction, automaton::DFA < DefaultSymbolType, unsigned >, const string::LinearString < > & > ( OracleMatcherConstruction::construct );

} /* namespace matching */

} /* namespace stringology */
