/*
 * WideBNDMMatcherConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "WideBNDMMatcherConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto WideBNDMIndexConstructionLinearString = registration::AbstractRegister < WideBNDMMatcherConstruction, indexes::stringology::BitParallelIndex < DefaultSymbolType >, const string::LinearString < > & > ( WideBNDMMatcherConstruction::construct );

} /* namespace matching */

} /* namespace stringology */
