/*
 * ExactBitParalelism.cpp
 *
 *  Created on: 4. 5. 2018
 *      Author: Tomas Capek
 */

#include "ExactBitParalelism.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto ExactBitParalelismLinearString = registration::AbstractRegister < ExactBitParalelism, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & > ( ExactBitParalelism::search );

} /* namespace simulations */

} /* namespace stringology */
