/*
 * HammingBitParalelism.cpp
 *
 *  Created on: 4. 5. 2018
 *      Author: Tomas Capek
 */

#include "HammingBitParalelism.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto HammingBitParalelismLinearString = registration::AbstractRegister < HammingBitParalelism, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & , unsigned > ( HammingBitParalelism::search );

} /* namespace simulations */

} /* namespace stringology */
